curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/sales-quotations/{salesQuotationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"disableAutomaticWorkflows": true,
"useBillingAddressAsShipmentAddress": true,
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billingAddress": {
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"vatId": "<string>"
},
"shipmentAddress": {
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"vatId": "<string>"
},
"departureCountry": {
"countryIso": "<string>",
"currencyIso": "<string>",
"currencyFactor": 123,
"stateCode": "<string>"
},
"externalDetails": {
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesQuotationNumber": "<string>"
},
"lineItems": [
{
"salesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"parentSalesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discountPercent": 123,
"fnSku": "<string>",
"name": "<string>",
"note": "<string>",
"purchasePriceNet": 123,
"quantity": 123,
"salesPriceGross": 123,
"salesPriceNet": 123,
"salesUnit": "<string>",
"sku": "<string>",
"taxRate": 123,
"variants": [
{
"extraWeight": 123,
"name": "<string>",
"surchargeNet": 123,
"value": "<string>",
"itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
],
"paymentDetails": {
"cashDiscount": 123,
"cashDiscountDays": 123,
"paymentDueDateInDays": 123,
"currencyIso": "<string>",
"currencyFactor": 123
},
"paymentInfo": {
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentInfoType": 123,
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"shippingDetails": {
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingDate": "2023-11-07T05:31:56Z",
"shippingPriority": 123
},
"taxDetails": {},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"customerSalesQuotationNumber": "<string>",
"languageIso": "<string>",
"salesQuotationDate": "2023-11-07T05:31:56Z",
"vatId": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-quotations/{salesQuotationId}"
payload = {
"disableAutomaticWorkflows": True,
"useBillingAddressAsShipmentAddress": True,
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billingAddress": {
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"vatId": "<string>"
},
"shipmentAddress": {
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"vatId": "<string>"
},
"departureCountry": {
"countryIso": "<string>",
"currencyIso": "<string>",
"currencyFactor": 123,
"stateCode": "<string>"
},
"externalDetails": {
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesQuotationNumber": "<string>"
},
"lineItems": [
{
"salesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"parentSalesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"discountPercent": 123,
"fnSku": "<string>",
"name": "<string>",
"note": "<string>",
"purchasePriceNet": 123,
"quantity": 123,
"salesPriceGross": 123,
"salesPriceNet": 123,
"salesUnit": "<string>",
"sku": "<string>",
"taxRate": 123,
"variants": [
{
"extraWeight": 123,
"name": "<string>",
"surchargeNet": 123,
"value": "<string>",
"itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
],
"paymentDetails": {
"cashDiscount": 123,
"cashDiscountDays": 123,
"paymentDueDateInDays": 123,
"currencyIso": "<string>",
"currencyFactor": 123
},
"paymentInfo": {
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentInfoType": 123,
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"shippingDetails": {
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingDate": "2023-11-07T05:31:56Z",
"shippingPriority": 123
},
"taxDetails": {},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"customerSalesQuotationNumber": "<string>",
"languageIso": "<string>",
"salesQuotationDate": "2023-11-07T05:31:56Z",
"vatId": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
disableAutomaticWorkflows: true,
useBillingAddressAsShipmentAddress: true,
cartonItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
customerId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
onHoldReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
paymentMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
processColourId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
processStatusId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
billingAddress: {
salutation: '<string>',
title: '<string>',
firstName: '<string>',
lastName: '<string>',
company: '<string>',
additionalCompanyLine: '<string>',
street: '<string>',
additionalAddressLine: '<string>',
city: '<string>',
postalCode: '<string>',
state: '<string>',
countryIso: '<string>',
postId: '<string>',
emailAddress: '<string>',
phoneNumber: '<string>',
mobilePhoneNumber: '<string>',
fax: '<string>',
vatId: '<string>'
},
shipmentAddress: {
salutation: '<string>',
title: '<string>',
firstName: '<string>',
lastName: '<string>',
company: '<string>',
additionalCompanyLine: '<string>',
street: '<string>',
additionalAddressLine: '<string>',
city: '<string>',
postalCode: '<string>',
state: '<string>',
countryIso: '<string>',
postId: '<string>',
emailAddress: '<string>',
phoneNumber: '<string>',
mobilePhoneNumber: '<string>',
fax: '<string>',
vatId: '<string>'
},
departureCountry: {
countryIso: '<string>',
currencyIso: '<string>',
currencyFactor: 123,
stateCode: '<string>'
},
externalDetails: {
externalCreatedDate: '2023-11-07T05:31:56Z',
externalSalesQuotationNumber: '<string>'
},
lineItems: [
{
salesQuotationLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
parentSalesQuotationLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxClassId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
taxCodeId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
discountPercent: 123,
fnSku: '<string>',
name: '<string>',
note: '<string>',
purchasePriceNet: 123,
quantity: 123,
salesPriceGross: 123,
salesPriceNet: 123,
salesUnit: '<string>',
sku: '<string>',
taxRate: 123,
variants: [
{
extraWeight: 123,
name: '<string>',
surchargeNet: 123,
value: '<string>',
itemVariantId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemVariantValueId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
}
],
paymentDetails: {
cashDiscount: 123,
cashDiscountDays: 123,
paymentDueDateInDays: 123,
currencyIso: '<string>',
currencyFactor: 123
},
paymentInfo: {
accountHolder: '<string>',
bankName: '<string>',
bIC: '<string>',
creditorId: '<string>',
dueDate: '2023-11-07T05:31:56Z',
endToEndId: '<string>',
iBAN: '<string>',
mandateReference: '<string>',
paymentInfo: '<string>',
paymentInfoType: 123,
paymentReference: '<string>',
referenceEmail: '<string>'
},
shippingDetails: {
deliveryFromDate: '2023-11-07T05:31:56Z',
estimatedDeliveryDate: '2023-11-07T05:31:56Z',
extraWeight: 123,
maxDeliveryDays: 123,
shippingDate: '2023-11-07T05:31:56Z',
shippingPriority: 123
},
taxDetails: {},
text: {
comment: '<string>',
customerComment: '<string>',
printText: '<string>',
processStatus: '<string>'
},
customerSalesQuotationNumber: '<string>',
languageIso: '<string>',
salesQuotationDate: '2023-11-07T05:31:56Z',
vatId: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-quotations/{salesQuotationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"salesQuotationId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Modifies an existing sales quotation.
Modifies an existing sales quotation.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Modifies an existing sales quotation. - Request
Indicates whether automatic workflows should be disabled for this sales quotation.
Indicates whether the billing address should be used as the shipment address.
The SalesQuotation CartonItemId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID of the company.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the customer associated with the sales quotation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation OnHoldReasonId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the payment method for the sales quotation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation ProcessColourId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation ProcessStatusId
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the shipping method for the sales quotation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
SalesQuotationBillingAddress
Show child attributes
Show child attributes
SalesQuotationShipmentAddress
Show child attributes
Show child attributes
DepartureCountry
Show child attributes
Show child attributes
ExternalDetails
Show child attributes
Show child attributes
The line items included in the sales quotation.
Show child attributes
Show child attributes
PaymentDetails
Show child attributes
Show child attributes
SalesQuotationPaymentInfo
Show child attributes
Show child attributes
ShippingDetails
Show child attributes
Show child attributes
TaxDetails
Show child attributes
Show child attributes
SalesQuotationText
Show child attributes
Show child attributes
The SalesQuotation CustomerSalesQuotationNumber
The SalesQuotation ItemDescriptionType
0, 1, 2 The SalesQuotation LanguageISO
The SalesQuotation ReadOnlyType
0, 1, 2 The SalesQuotation Date
The SalesQuotation VATId
Response
SalesQuotation was successfully modified.
Modifies an existing sales quotation. - Response
Unique ID of the modified sales quotation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?